import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/api/tag/list',
    method: 'get',
    params: query
  })
}

export function OffLineOrOnLine(data) {
  return request({
    url: '/api/tag/list/update',
    method: 'post',
    data
  })
}

export function CreateTag(data) {
  return request({
    url: '/api/tag/create',
    method: 'post',
    data
  })
}

export function fetchTagDetail(id) {
  return request({
    url: '/api/tag/detail',
    method: 'get',
    params: { id }
  })
}
